#! /bin/bash

export PDSH_SSH_ARGS='-o StrictHostKeyChecking=no'
node01=false
[ "$(hostname)" = "node01" ] && node01=true

$node01 && { systemctl is-enabled mariadb || systemctl enable --now mariadb; }
sleep 2
$node01 && { systemctl is-enabled slurmdbd || systemctl enable --now slurmdbd; }
sleep 5
sacctmgr -i add cluster kiwi-cluster
sacctmgr -i add account slurm
sacctmgr -i add user slurm account=slurm

for i in /etc/slurm /var/lib/slurm/shared /home/slurm-testsuite; do
    pdsh -R ssh -w node0[1-4] mount $i
done
pdsh -R ssh -w node0[1-4] "/bin/bash -c 'if systemctl is-enabled slurmd; then systemctl restart slurmd; else systemctl enable --now slurmd; fi'"
sleep 2
$node01 && { systemctl is-enabled slurmctld || systemctl enable --now slurmctld; }
